import * as React from "react";
import * as cx from "classnames";
import * as FontAwesome from "react-fontawesome";
import { FlexBox } from "../";
import "./DeletedAnnouncementBubble.less";
function cssClass(element) {
    return "DeletedAnnouncementBubble--" + element;
}
export var DeletedAnnouncementBubble = function (_a) {
    var className = _a.className, deletionNoticeText = _a.deletionNoticeText;
    return (React.createElement(FlexBox, { grow: true, alignItems: "center", justify: "start", className: cx(cssClass("container"), className) },
        React.createElement(FontAwesome, { name: "trash-o", className: cssClass("icon"), "aria-hidden": "true" }),
        React.createElement("div", { className: cssClass("text") }, deletionNoticeText)));
};
